Name:		synapse
Version:	0.2.99.1
Release:	%mkrel 2
Summary:	A semantic launcher written in Vala

Group:		System/Libraries
License:	GPLv3+
URL:		https://launchpad.net/synapse-project
Source0:	http://launchpad.net/%{name}-project/0.3/%{version}/+download/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gdk-x11-3.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gee-0.8)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(keybinder-3.0) 
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(zeitgeist-2.0)
BuildRequires: vala-devel
BuildRequires: pkgconfig(rest-0.7)

%description
Synapse is a semantic launcher written in Vala that you can use to start
applications as well as find and access relevant documents and files by making
use of the Zeitgeist engine.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static --enable-zeitgeist=yes
%make V=1

%install
%make_install

install -d -p -m 755 %{buildroot}%{_datadir}/vala/vapi
install -D -p -m 644 vapi/*.vapi %{buildroot}%{_datadir}/vala/vapi

# language files
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%files devel
%doc AUTHORS
%{_datadir}/vala/vapi


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.2.99.1-2.mga6
+ Revision: 962995
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 daviddavid <daviddavid> 0.2.99.1-1.mga6
+ Revision: 898357
- new version: 0.2.99.1
- switch to gtk3
- remove no more needed patches
- update URL and BuildRequires
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.2.10-6.mga5
+ Revision: 744537
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.10-5.mga5
+ Revision: 689652
- Mageia 5 Mass Rebuild

* Thu Jan 09 2014 dmorgan <dmorgan> 0.2.10-4.mga4
+ Revision: 565748
- Add archlinux patch to fix build

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.2.10-2.mga3
+ Revision: 383894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 21 2012 malo <malo> 0.2.10-1.mga3
+ Revision: 296509
- fix requires, mkrel and configure after import from Mandriva
- imported package synapse


* Thu Jun 21 2012 Andrey Bondrov <abondrov@mandriva.org> 0.2.10-1
+ Revision: 806651
- Fix group
- Update BuildReqeuires
- imported package synapse


* Thu Jun 21 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.2.10-1
- Import Fedora package and convert spec to Mandriva style
